package net.lab1024.sa.admin.module.business.wms.shipping.pickDetail.service;

import java.util.List;

import net.lab1024.sa.admin.module.business.wms.shipping.pickDetail.domain.form.PickDetailAddForm;
import net.lab1024.sa.admin.module.business.wms.shipping.pickDetail.domain.form.PickDetailUpdateForm;
import net.lab1024.sa.base.common.domain.ResponseDTO;

/**
 * 出库明细 Service
 *
 * @Author 霍锦
 * @Date 2025-01-06 11:04:32
 * @Copyright 友仓
 */

public interface PickDetailService {

    /**
     * 添加
     */
    ResponseDTO<String> add(PickDetailAddForm addForm);

    /**
     * 更新
     */
    ResponseDTO<String> update(PickDetailUpdateForm updateForm);

    /**
     * 批量删除
     */
    ResponseDTO<String> batchDelete(List<Long> idList);

    /**
     * 单个删除
     */
    ResponseDTO<String> delete(Long pickDetailId);

    /**
     * 刷新出库单
     * @param pickId 出库单ID
     */
    void refreshPick(Long pickId);
}
